<!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
{% block sw_select_rule_create %}
<div class="sw-select-attendees">
    <sw-entity-attendees-select
        v-model:entityCollection="customerCollection"
        v-bind="$attrs"
        advanced-selection-component="sw-advanced-selection-customer"
        :advanced-selection-parameters="getAdvancedSelectionParameters()"
        @change="changeValue"
        :criteria="optionCriteria"
    >

        <template #result-item="{ item, index, labelProperty, valueProperty, searchTerm, highlightSearchTerm, isSelected, addItem, getKey }">
            {% block sw_select_rule_create_select_multi_select_result_list_item %}
            <slot
                name="result-item"
                v-bind="{ item, index, labelProperty, valueProperty, searchTerm, highlightSearchTerm, isSelected, addItem, getKey }"
            >
                <li
                    is="sw-select-result"
                    {# v-tooltip="tooltipConfig(item)" #}
                    :selected="isSelected(item)"
                    v-bind="{ item, index }"
                    @item-select="addItem"
                >
                    {% block sw_select_rule_create_select_multi_select_result_item_label %}
                    <slot
                        name="result-label-property"
                        v-bind="{ item, index, labelProperty, valueProperty, searchTerm, highlightSearchTerm, getKey }"
                    >
                        <sw-highlight-text
                            v-if="highlightSearchTerm"
                            :text="`${ item.email } ${ getCustomerName(item) }`"
                            :search-term="searchTerm"
                        />
                        <template v-else>
                            {{ item.email }} {{ getCustomerName(item) }}
                        </template>
                    </slot>
                    {% endblock %}
                </li>
            </slot>
            {% endblock %}
        </template>
    </sw-entity-attendees-select>
</div>
{% endblock %}
